Audit Stream

Get the audit stream configuration

GET /api/audit-stream

Response

200 — The Audit Stream configuration

  • Active boolean
  • Description string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • StreamConfigurationResource object

Example Response

JSON
{
  "Active": true,
  "Description": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "StreamConfigurationResource": {}
}

Modify the audit stream configuration

PUT /api/audit-stream

Request Body

  • Active boolean
  • Description string
  • StreamConfigurationResource object

Response

200 — The modified Audit Stream configuration

  • Active boolean
  • Description string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • StreamConfigurationResource object

Example Request

JSON
{
  "Active": true,
  "Description": "string",
  "StreamConfigurationResource": {}
}

Example Response

JSON
{
  "Active": true,
  "Description": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "StreamConfigurationResource": {}
}